[@rxap/form-system](../wiki/globals) / UseFunctionConfig

# Interface: UseFunctionConfig\<ReturnTypeTarget, ArgsSource, ReturnTypeSource, ArgsTarget\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:12](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts#L12)

## Type Parameters

• **ReturnTypeTarget** = `any`

• **ArgsSource** *extends* `any`[] = `any`[]

• **ReturnTypeSource** = `any`

• **ArgsTarget** *extends* `any`[] = `any`[]

## Properties

### adapter?

> `optional` **adapter**: `object`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts:18](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-functions.mixin.ts#L18)

#### args?

> `optional` **args**: [`FunctionParameterAdapterFunction`](../wiki/TypeAlias.FunctionParameterAdapterFunction)\<`ArgsSource`, `ArgsTarget`\>

#### result?

> `optional` **result**: [`FunctionResultAdapterFunction`](../wiki/TypeAlias.FunctionResultAdapterFunction)\<`ReturnTypeSource`, `ReturnTypeTarget`\>
